# What is Fusion?
Fusion is an automated tool made to augment base game's DataTables with modded entries. <br/>
This allows modders to make custom signals, props, achievements, foods etc.

## Installation (For users)
Install it using R2Modman, or any mod that requires its dependancy.<br/>
```Designed for pa07_0011```

## Usage (For modders)
### Video tutorial
[![Video](https://img.youtube.com/vi/V3MTS9w3ZLY/0.jpg)](https://www.youtube.com/watch?v=V3MTS9w3ZLY)

### Datatable merging
In your ue4 project, at your mod folder, create a specific folder path and a new DataTable in it, which is named as the one you want to augment *(predated with underscore)* and it needs to use the same struct.<br/>
`[YOUR MOD NAME]/_Content/main/datatables/_[datatableName]`<br/>
Notice that the name **must** be predated with underscore! It's made, so if you need to reference original game's datatable you wouldn't be confused which to choose!

### Asset replacement *[Experimental]*
Replicate path inside _Content as the original asset has, and name it *exactly* the same. Works for everything except folder *main*<br/><br/>
For example, if you want to replace Kerfus texture, you need to make asset with path:<br/>
`[YOUR MOD NAME]/_Content/meshes/kerfus/tex_kerfus.uasset`

### Adding Input events *[Experimental]*
Add new input in your project settings, then navigate to the root folder of your project and find `Config` folder. There is `DefaultInput.ini` file, which stores all descriptions for your inputs. Copy added input line and create new config, that must be named ending in DefaultInput.ini (Created config can be put directly in `[profile]/shimloader/cfg/` for testing. Package it within your mod according to the Thunderstore packaging convention.

## Credits
Special thanks to **deezhizyu** for bug fixes, logging and refactoring the project!

## Feedback (For everyone)
If you have any problems running or working with this tool, or have any suggestions, contact me at discord (`ghost_of_nynrah`) or write at
[e-votv-modding](https://discord.com/channels/512287844258021376/1109865680322428938) channel of [EternityDev Games](https://discord.gg/eternitydevgames) discord.